﻿using System;
using WebSocketSharp;
using WebSocketSharp.Server;
using Tobii.Research;

namespace GazeWebSocketServer
{
    public class Program
    {
        public static void Main(string[] args)
        {
            var wssv = new WebSocketServer("ws://localhost:8001");
            wssv.AddWebSocketService<GazeCoordinateBehavior>("/gaze");
            EyeTrackerClient eyeTrackerClient = new EyeTrackerClient();

            eyeTrackerClient.Start();
            wssv.Start();
            Console.ReadKey(true);
            wssv.Stop();
            eyeTrackerClient.Stop();
        }
    }
}